Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.search
Class PatternModel.AnchoredSearchMode

    java.lang.Object
      org.jdesktop.swingx.search.PatternModel.RegexCreator
          org.jdesktop.swingx.search.PatternModel.AnchoredSearchMode

Enclosing class:
  PatternModel

    public static class PatternModel.AnchoredSearchMode

extends PatternModel.RegexCreator

Support for anchored input. PENDING: NOT TESTED - simply moved! Need to define requirements...

Field Summary

Fields inherited from class org.jdesktop.swingx.search.PatternModel.RegexCreator
`matchRule`

Constructor Summary
`PatternModel.AnchoredSearchMode()`

Method Summary
`java.lang.String` | `createRegEx(java.lang.String searchExp)`
`boolean` | `isAutoDetect()`
`boolean` | `isEndAnchored()` returns true if the pattern must match from the beginning of the string, or false if the pattern can match anywhere in a string.
`boolean` | `isStartAnchored()` returns true if the pattern must match from the beginning of the string, or false if the pattern can match anywhere in a string.

Methods inherited from class org.jdesktop.swingx.search.PatternModel.RegexCreator
`createContainedRegEx, createEndAnchoredRegEx, createEqualsRegEx, createStartsAnchoredRegEx, getDefaultMatchRule, getMatchRule, getMatchRules, setMatchRule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternModel.AnchoredSearchMode

    public PatternModel.AnchoredSearchMode()

Method Detail

### isAutoDetect

    public boolean isAutoDetect()

  Overrides:
    `isAutoDetect` in class `PatternModel.RegexCreator`

### createRegEx

    public java.lang.String createRegEx(java.lang.String searchExp)

  Overrides:
    `createRegEx` in class `PatternModel.RegexCreator`

### isStartAnchored

    public boolean isStartAnchored()

  returns true if the pattern must match from the beginning of the string, or false if the pattern can match anywhere in a string.

### isEndAnchored

    public boolean isEndAnchored()

  returns true if the pattern must match from the beginning of the string, or false if the pattern can match anywhere in a string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.